Bug 821512 - Package openconnect for epel6
Summary: Package openconnect for epel6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openconnect
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 821514
TreeView+ depends on / blocked
 
Reported: 2012-05-14 18:02 UTC by Mike Fedyk
Modified: 2012-06-28 16:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-28 16:06:49 UTC
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mike Fedyk 2012-05-14 18:02:53 UTC
Description of problem:
Not packaged for epel6

Comment 1 David Woodhouse 2012-06-20 20:38:25 UTC
The package in fedora/master should build for EL5 and EL6. If anyone wants to step forward, so some testing and take on the responsibility for those branches in EPEL, that would be great.

Comment 2 David Woodhouse 2012-06-21 10:45:06 UTC
Package Change Request
======================
Package Name: openconnect
New Branches: el5 el6
Owners: dwmw2@infradead.org
InitialCC: 

Sod it; openconnect itself is fine. I can cope with packaging that. I already do test builds on a whole bunch of non-Linux systems that I care about even *less* than RHEL...

Comment 4 David Woodhouse 2012-06-21 12:40:41 UTC
Updated test builds, with 'vpnc-script' dependency fixed to be 'vpnc', and without the unresolveable dependency in EL5 on an OpenSSL with Cisco DTLS support. There is no such thing in EL5 so you just don't get DTLS support there.

Also remove the bogus conflict with NetworkManager <= 0.9.0-3, for EL builds.

el5: http://koji.fedoraproject.org/koji/taskinfo?taskID=4183399
el6: http://koji.fedoraproject.org/koji/taskinfo?taskID=4183387

Comment 5 Gwyn Ciesla 2012-06-21 12:46:07 UTC
Git done (by process-git-requests).

Fixed FAS username.

Comment 6 David Woodhouse 2012-06-21 12:51:13 UTC
[dwmw2@shinybook el6]$ fedpkg push
Counting objects: 7, done.
Delta compression using up to 8 threads.
Compressing objects: 100% (5/5), done.
Writing objects: 100% (5/5), 670 bytes, done.
Total 5 (delta 3), reused 0 (delta 0)
remote: W refs/heads/el6 openconnect dwmw2 DENIED by refs/heads/el[0-9]
remote: error: hook declined to update refs/heads/el6
To ssh://dwmw2@pkgs.fedoraproject.org/openconnect
 ! [remote rejected] el6 -> el6 (hook declined)
error: failed to push some refs to 'ssh://dwmw2@pkgs.fedoraproject.org/openconnect'

Comment 7 Fedora Update System 2012-06-21 13:10:53 UTC
openconnect-4.00-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/openconnect-4.00-2.el5

Comment 8 Fedora Update System 2012-06-21 13:11:59 UTC
openconnect-4.00-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/openconnect-4.00-2.el6

Comment 9 Fedora Update System 2012-06-22 08:33:15 UTC
openconnect-4.00-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/openconnect-4.00-3.el5

Comment 10 David Woodhouse 2012-06-22 08:35:31 UTC
New EL5 version required to work around the fact that zlib doesn't have a pkgconfig file in RHEL5. So although openconnect built fine, things that *use* openconnect.pc would not — they'd fail because of the zlib in openconnect.pc's "Requires.private".

Comment 11 Fedora Update System 2012-06-22 15:59:25 UTC
openconnect-4.00-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 12 Fedora Update System 2012-06-28 16:06:49 UTC
openconnect-4.00-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 13 Fedora Update System 2012-06-28 16:07:42 UTC
openconnect-4.00-3.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.